Index: distutils-r1.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/distutils-r1.eclass,v
retrieving revision 1.70
diff -u -r1.70 distutils-r1.eclass
--- distutils-r1.eclass	30 Apr 2013 05:36:19 -0000	1.70
+++ distutils-r1.eclass	11 May 2013 23:00:11 -0000
@@ -98,6 +98,7 @@
 if [[ ! ${DISTUTILS_OPTIONAL} ]]; then
 	RDEPEND=${PYTHON_DEPS}
 	DEPEND=${PYTHON_DEPS}
+	REQUIRED_USE=${PYTHON_REQUIRED_USE}
 fi
 
 # @ECLASS-VARIABLE: PATCHES
Index: python-r1.eclass
===================================================================
RCS file: /var/cvsroot/gentoo-x86/eclass/python-r1.eclass,v
retrieving revision 1.54
diff -u -r1.54 python-r1.eclass
--- python-r1.eclass	10 May 2013 22:03:30 -0000	1.54
+++ python-r1.eclass	11 May 2013 23:00:11 -0000
@@ -150,6 +150,24 @@
 # python_targets_python2_6(-)?,python_targets_python2_7(-)?
 # @CODE
 
+# @ECLASS-VARIABLE: PYTHON_REQUIRED_USE
+# @DESCRIPTION:
+# This is an eclass-generated required-use expression which ensures at
+# least one Python implementation has been enabled.
+#
+# This expression should be utilized in an ebuild by including it in
+# REQUIRED_USE, optionally behind a use flag.
+#
+# Example use:
+# @CODE
+# REQUIRED_USE="python? ( ${PYTHON_REQUIRED_USE} )"
+# @CODE
+#
+# Example value:
+# @CODE
+# || ( python_targets_python2_6 python_targets_python2_7 )
+# @CODE
+
 _python_set_globals() {
 	local impls=()
 
@@ -181,7 +199,7 @@
 	optflags+=,${flags_st[@]/%/(-)}
 
 	IUSE=${flags[*]}
-	#REQUIRED_USE="|| ( ${flags[*]} )"
+	PYTHON_REQUIRED_USE="|| ( ${flags[*]} )"
 	PYTHON_USEDEP=${optflags// /,}
 
 	# 1) well, python-exec would suffice as an RDEP
